Get access point for user

GET /internal/admin/comms/v1/location/user/access-point

Operation id: get__internal_admin_comms_v1_location_user_access_point

Tags: User Location

Parameters

Query parameters

NameTypeRequiredDescription
site_idstringYessite id of required record
tenant_idstringYestenant id of required record
user_loginstringYesuserLogin of required record

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — Retrieves the most recent access point that specified user is connected to for a given tenant and site.

Content type: application/json

400 — Bad request

Content type: application/json

404 — Not Found

Content type: application/json

500 — Internal server error

Content type: application/json

Response models

200 — Retrieves the most recent access point that specified user is connected to for a given tenant and site.

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusCodeintegerNo
access_point_dataarrayNo
{
  "type": "object",
  "properties": {
    "statusCode": {
      "type": "integer"
    },
    "access_point_data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "user_id": {
            "type": "integer"
          },
          "user_login": {
            "type": "string"
          },
          "bssid": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "customer_id": {
            "type": "integer"
          },
          "site_name": {
            "type": "string"
          },
          "ap_friendly_name": {
            "type": "string"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time"
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          }
        }
      }
    }
  }
}

400 — Bad request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "message": {
      "type": "string"
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "message": {
      "type": "string"
    }
  }
}

500 — Internal server error

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "message": {
      "type": "string"
    }
  }
}